/*************************************************************************
 * DISCLAIMER                                                            *
 * Services performed by FREESCALE in this matter are performed          *
 * AS IS and without any warranty. CUSTOMER retains the final decision   *
 * relative to the total design and functionality of the end product.    *
 * FREESCALE neither guarantees nor will be held liable by CUSTOMER      *
 * for the success of this project. FREESCALE disclaims all warranties,  *
 * express, implied or statutory including, but not limited to,          *
 * implied warranty of merchantability or fitness for a particular       *
 * purpose on any hardware, software ore advise supplied to the project  *
 * by FREESCALE, and or any product resulting from FREESCALE services.   *
 * In no event shall FREESCALE be liable for incidental or consequential *
 * damages arising out of this agreement. CUSTOMER agrees to hold        *
 * FREESCALE harmless against any and all claims demands or actions      *
 * by anyone on account of any damage, or injury, whether commercial,    *
 * contractual, or tortuous, rising directly or indirectly as a result   *
 * of the advise or assistance supplied CUSTOMER in connection with      *
 * product, services or goods supplied under this Agreement.             *
 *************************************************************************/
 /**
  Copyright (c) 2007 Freescale Semiconductor
  Freescale Confidential Proprietary
  \file     	GPIO.c
  \brief    	GPIO initialization functions
  \author   	Freescale Semiconductor
  \author     Samuel Quiroz
  \author   	Guadalajara Applications Laboratory RTAC Americas
  \version    1.0
  \date     	21/April/2008

  * History:
  
  30/July/2007      Start of application coding                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
*/

/* Include Files */
#include "GPIO.h"            /* Include MCU Header */

/*****************************************************************************/
void GPIO_Init(void)
{
    //declare LEDs as OUTPUTS
    LED0_DD = 1;
    LED1_DD = 1;
    LED2_DD = 1;
    LED3_DD = 1; 
    LED4_DD = 1;
    LED5_DD = 1;
    LED6_DD = 1;
    LED7_DD = 1;
    
    //LEDs off
    LED0 = 1;
    LED1 = 1;
    LED2 = 1;
    LED3 = 1;
    LED4 = 1;  
    LED5 = 1;
    LED6 = 1;
    LED7 = 1;
      
    //Enable Pull ups for Switches
    SWITCH0_PE = 1;
    SWITCH1_PE = 1;
    SWITCH2_PE = 1;
    SWITCH3_PE = 1;    
}

/*****************************************************************************/

